Subject: new geranium, yellow flower?

From: [email-masked]
Date: 15 Jun 1995 17:55:36 GMT

Has anyone seen or heard about this. A number of people have been
requesting such plant but does it really exist? I know of yellow leaved
geraniums so I was wondering if breeding has brought out yellow flowers
too.

thanks, amanda
please email